# Activity Reg Processes Activity Reg Processes ## Gets all of the activity reg processes in the system. - [GET /activityRegProcesses/{tenantId}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/activity-reg-processes/listactivityregprocesses.md): This method will scan all activity reg processes and and return them to the caller. ## Creates a new activity reg process record that does not already exist. - [POST /activityRegProcesses/{tenantId}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/activity-reg-processes/createactivityregprocess.md): This method will auto-generate an ID and create a new activity reg process. If an ID is specified for the activity reg process, an error will be thrown. ## Execute Batch Operations - [POST /activityRegProcesses/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/activity-reg-processes/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Gets all of the processes a contact is eligible to use - [GET /activityRegProcesses/{tenantId}/eligible/{contactId}/{activityTypeId}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/activity-reg-processes/geteligibleprocesses.md) ## Returns a activity reg process from the system by its ID. - [DELETE /activityRegProcesses/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/activity-reg-processes/deleteactivityregprocess.md): This method will delete a activity reg process with the specified ID. ## Returns a activity reg process from the system by its ID. - [GET /activityRegProcesses/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/activity-reg-processes/getactivityregprocess.md): This method will look up a activity reg process by the specified ID and return it back. ## Partially updates a activity reg process with the specified ID. - [PATCH /activityRegProcesses/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/activity-reg-processes/patchactivityregprocess.md): This method will patch an existing activity reg process with the specified ID, using the HTTP PATCH specification. ## Updates a activity reg process with the specified ID. - [PUT /activityRegProcesses/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/activity-reg-processes/updateactivityregprocess.md): This method will update an existing activity reg process with the specified ID.